Проблема при установке модуля Address.

Аватар пользователя Валерий54 Валерий54 2 апреля 2019 в 13:13

Добрый день.

Композитор отказывается работать, поэтому модуль Commerce загрузить не удалось.
Пришлось пользоваться файловой загрузкой через сайт.
http://storeideas.info/img/composer/45678.png
Загрузив все модули на сайт, обнаружил что ключевой Address отказывается прописываться и выдаёт сообщение "Address requires the commerceguys/addressing library."
Как решить данную проблему? http://storeideas.info/img/composer/4444.png

Лучший ответ

Аватар пользователя Валерий54 Валерий54 13 апреля 2019 в 15:47

Вопрос решён изменением настроек сервера Apach, модуля PHP и рекомендацией по установке в указанном выше видео.
Настройки сервера http://storeideas.info/img/composer/nastrojki_servera.jpg
Исполнительная команда для GIT Bash Here
composer create-project drupal-composer/drupal-project:8.x-dev commerce-stability-dev --no-interaction

Комментарии

Аватар пользователя Валерий54 Валерий54 2 апреля 2019 в 14:27

Началось с того, что модуль Commerce композитор отказался прописывать.
Your requirements could not be resolved to an installable set of packages.
Problem 1
- Installation request for drupal/commerce 2.x-dev -> satisfiable by drupal/commerce[2.x-dev].
- drupal/commerce 2.x-dev requires drupal/entity ^1.0-rc1 -> satisfiable by drupal/entity[1.x-dev, 1.0.0-rc2, 1.0.0-rc1] but these conflict with your requirements or minimum-stability.
Installation failed, reverting ./composer.json to its original content.

Ваши требования не могут быть разрешены для устанавливаемого набора пакетов.
Проблема 1
- Запрос на установку drupal / commerce 2.x-dev -> удовлетворяется drupal / commerce [2.x-dev].
- drupal / commerce 2.x-dev требует drupal / entity ^ 1.0-rc1 -> выполнимых с помощью drupal / entity [1.x-dev, 1.0.0-rc2, 1.0.0-rc1], но это противоречит вашим требованиям или минимальная стабильность.
Установка не удалась, вернув ./composer.json к исходному содержимому.
Я загрузил их на сайт в ручную. А вот попытка установки блокируется ключевым модулем Address с выводом "Address requires the commerceguys/addressing library."

Аватар пользователя Валерий54 Валерий54 2 апреля 2019 в 17:09

Может кто дать подсказку куда попробовать прописать, так как у меня на cd не реагирует (7 window) или я не там пишу?
nileema19
I have Acquia dev desktop installed on my system [Windows 10], I have followed below process to install Address module.

Check composer.json file and see whether it has "minimum-stability": "dev" , if not then add it.

Then open command prompt and need to "cd" into the root of project directory / directory that contains the composer.json file and execute below require commands -

> composer require "commerceguys/addressing"
> composer require "commerceguys/intl"
> composer require "commerceguys/form"
> composer require "symfony/intl"
> composer require "symfony/form"
> composer config repositories.drupal composer https://packages.drupal.org/8
> composer require drupal/address
> composer update

By executing above commands Address module gets installed.

nileema19 CreditAttribution: nileema19 прокомментировал 2 года назад
У меня установлен Acquia dev desktop на моей системе [Windows 10], и я следовал ниже описанному процессу для установки модуля Address.

Проверьте файл composer.json и посмотрите, имеет ли он «минимальную стабильность»: «dev», если нет, то добавьте его.

Затем откройте командную строку и вам нужно «cd» в корень директории проекта / директории, которая содержит файл composer.json и выполнить ниже требуемые команды -

> композитор требует "commerceguys / addressing"
> композитор требует "commerceguys / intl"
> композитор требует "commerceguys / form"
> композитор требует "symfony / intl"
> композитор требует "symfony / form"
> composer config repositories.drupal composer https://packages.drupal.org/8
> композитору нужен друпал / адрес
> Обновление композитора

При выполнении вышеуказанных команд модуль адреса устанавливается.

Аватар пользователя Валерий54 Валерий54 2 апреля 2019 в 17:32

Команды прописал по отдельности, но не все встали. composer require "symfony/form" отказалась прописываться.

Девушка пишет что папка библиотеки должна быть в папке vendor, у меня её там нет что делать?
xmacinfo CreditAttribution: xmacinfo at xMac info commented about a year ago
After running composer, make sure that the addressing folder exists in the /vendor directory :

vendor/commerceguys/addressing

Аватар пользователя Валерий54 Валерий54 2 апреля 2019 в 19:21

причина выяснена. В vendor отсутствует папка commerceguys . Что необходимо сделать?

Применение команд
1. composer config repositories.drupal composer https://packages.drupal.org/8
2. composer require "drupal/address ~1.0"
3. composer update drupal/address --with-dependencies

не устраняет причин.

Аватар пользователя Валерий54 Валерий54 13 апреля 2019 в 12:28

Снёс всё и начал заново. Не верно был установлен composer, отсутствовала привязка к папке php/php.exe/
Drush и composer прописаны нормально, реагируют на команды в консоле Open Server. Сильно помог вот этот материал https://www.youtube.com/watch?v=6LOYKoE-mog Прогрузил дополнительные программы как указано здесь. http://drupalbook.ru/drupal/121-ustanovka-drush-8-na-open-server . Drash у меня работает. А проблема установки модуля Commerce, так же как и прописки Adress осталась. Удаление composer.lock ни чего не даёт "Nothing to install or update" После манипуляций с Drush, друпал по новой начал устанавливаться на сайт.

Аватар пользователя Валерий54 Валерий54 13 апреля 2019 в 15:47

Вопрос решён изменением настроек сервера Apach, модуля PHP и рекомендацией по установке в указанном выше видео.
Настройки сервера http://storeideas.info/img/composer/nastrojki_servera.jpg
Исполнительная команда для GIT Bash Here
composer create-project drupal-composer/drupal-project:8.x-dev commerce-stability-dev --no-interaction

Аватар пользователя SerW SerW 16 мая в 14:52

Привет! А что нужно делать в случае с Drupal 9?

> Error message: Address requires the commerceguys/addressing library.

Я арендую виртуальный хостинг.

General System Information
Drupal Version: 9.3.13
Web Server: Apache/2.4.38
PHP Version: 7.4.28
It is recommended to upgrade to PHP version 8.0 or higher for the best ongoing support. See PHP's version support documentation and the Drupal 8 PHP requirements handbook page for more information.
Memory limit: 256M
Database Version: 5.7.30-33-log
System: MySQL, Percona Server, or equivalent

Аватар пользователя SerW SerW 16 мая в 15:02

ivnish wrote: Устанавливать ядро и модули через composer

Мне нужно веб-сайт удалить?
Как удалить веб-сайт?

Аватар пользователя SerW SerW 16 мая в 16:28

> Устанавливать ядро и модули через composer
ivnish, позвоню себе задать наивный вопрос, так как меня интересует Друпал 9, а не 8, по которому кругом есть мануалы:

Как именно нужно ставить ядро и нужные модули со всеми зависимостями?
Необходимые мне модули:
commerce search_api facets

Аватар пользователя marassa marassa 16 мая в 16:58

SerW wrote: меня интересует Друпал 9, а не 8, по которому кругом есть мануалы

Нет никакой принципиальной разницы между Друпал 8 и 9 по части установки ядра и модулей.

Аватар пользователя SerW SerW 16 мая в 16:59

marassa, честно скажу, официальные гайды не понятны чуть более, чем полностью ((
Где можно почитать примеры установки? ))